<?xml version="1.0" encoding="utf-8"?>
<ScrollView
    xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    android:layout_width="match_parent"
    android:layout_height="match_parent">
    <androidx.constraintlayout.widget.ConstraintLayout
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        >
        <ImageView
            android:layout_marginTop="20dp"
            android:id="@+id/profile_picture"
            android:layout_marginStart="20dp"
            android:layout_width="80dp"
            android:layout_height="80dp"
            android:contentDescription="@string/profile_picture"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintTop_toTopOf="parent"/>
        <Button
            android:id="@+id/select_file"
            style="@style/Widget.AppCompat.Button.Borderless"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:singleLine="true"
            android:layout_marginStart="20dp"
            android:textColor="?attr/colorAccent"
            android:text="@string/change_profile_picture"
            app:layout_constraintStart_toEndOf="@+id/profile_picture"
            app:layout_constraintBottom_toBottomOf="@id/profile_picture" />

        <com.google.android.material.textfield.TextInputLayout
            android:id="@+id/displayname_container"
            android:layout_width="match_parent"
            android:layout_marginTop="20dp"
            android:layout_height="wrap_content"
            android:layout_marginStart="20dp"
            android:layout_marginEnd="20dp"
            app:layout_constraintEnd_toEndOf="parent"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintTop_toBottomOf="@+id/profile_picture">

            <com.google.android.material.textfield.TextInputEditText
                android:id="@+id/displayname"
                android:hint="@string/display_name"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:inputType="text"
                android:singleLine="true"
                android:importantForAutofill="no" />
        </com.google.android.material.textfield.TextInputLayout>

        <com.google.android.material.textfield.TextInputLayout
            android:id="@+id/description_container"
            android:layout_marginTop="30dp"
            android:layout_width="match_parent"
            android:layout_marginStart="20dp"
            android:layout_marginEnd="20dp"
            android:layout_height="wrap_content"
            app:layout_constraintEnd_toEndOf="parent"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintTop_toBottomOf="@+id/displayname_container">

            <com.google.android.material.textfield.TextInputEditText
                android:id="@+id/description"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:inputType="textMultiLine"
                android:hint="@string/description"
                android:gravity="top"
                android:lines="4"
                android:minLines="4"
                android:maxLines="6"
                android:singleLine="false"
                android:importantForAutofill="no" />
        </com.google.android.material.textfield.TextInputLayout>

        <TextView
            android:layout_marginStart="20dp"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintTop_toBottomOf="@+id/description_container"
            android:id="@+id/notification_title"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:textColor="?attr/colorAccent"
            android:textSize="18sp"
            android:textAllCaps="true"
            android:layout_marginTop="20dp"
            android:text="@string/title_notifications"/>

        <TextView
            android:layout_marginTop="20dp"
            android:layout_marginStart="20dp"
            android:id="@+id/spinner_indication"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            app:layout_constraintStart_toStartOf="parent"
            android:text="@string/refresh_every"
            android:labelFor="@+id/refresh_every"
            app:layout_constraintBottom_toBottomOf="@+id/refresh_time"
            android:gravity="center_vertical"
            app:layout_constraintTop_toBottomOf="@+id/notification_title"/>
        <Spinner
            android:layout_marginTop="20dp"
            android:layout_marginStart="20dp"
            android:text="@string/refresh_every"
            app:layout_constraintStart_toEndOf="@+id/spinner_indication"
            app:layout_constraintTop_toBottomOf="@+id/notification_title"
            android:id="@+id/refresh_time"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"/>
        <LinearLayout
            app:layout_constraintEnd_toEndOf="parent"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintTop_toBottomOf="@+id/refresh_time"
            android:layout_width="match_parent"
            android:layout_margin="20dp"
            android:layout_height="wrap_content"
            android:orientation="vertical">
            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:orientation="horizontal">
                <TextView
                    android:layout_width="wrap_content"
                    android:layout_weight="10"
                    android:textStyle="bold"
                    android:layout_height="wrap_content"
                    android:text="@string/activity"/>
                <TextView
                    android:layout_width="wrap_content"
                    android:textStyle="bold"
                    android:layout_weight="1"
                    android:layout_height="wrap_content"
                    android:text="@string/app"/>
                <TextView
                    android:layout_width="wrap_content"
                    android:layout_weight="1"
                    android:textStyle="bold"
                    android:layout_height="wrap_content"
                    android:text="@string/email"/>
            </LinearLayout>
            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:orientation="horizontal">
                <TextView
                    android:layout_width="0dp"
                    android:layout_weight="10"
                    android:layout_height="wrap_content"
                    android:text="@string/notif_new_video"/>
                <androidx.appcompat.widget.SwitchCompat
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:id="@+id/notif_new_video_app"
                    android:layout_weight="1"
                    />
                <androidx.appcompat.widget.SwitchCompat
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:id="@+id/notif_new_video_mail"
                    android:layout_weight="1"
                    />
            </LinearLayout>
            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:orientation="horizontal">
                <TextView
                    android:layout_width="0dp"
                    android:layout_weight="10"
                    android:layout_height="wrap_content"
                    android:text="@string/notif_new_comment"/>
                <androidx.appcompat.widget.SwitchCompat
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:id="@+id/notif_new_comment_app"
                    android:layout_weight="1"
                    />
                <androidx.appcompat.widget.SwitchCompat
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:id="@+id/notif_new_comment_mail"
                    android:layout_weight="1"
                    />
            </LinearLayout>
            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:orientation="horizontal">
                <TextView
                    android:layout_width="0dp"
                    android:layout_weight="10"
                    android:layout_height="wrap_content"
                    android:text="@string/notif_blocked"/>
                <androidx.appcompat.widget.SwitchCompat
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:id="@+id/notif_blocked_app"
                    android:layout_weight="1"
                    />
                <androidx.appcompat.widget.SwitchCompat
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:id="@+id/notif_blocked_mail"
                    android:layout_weight="1"
                    />
            </LinearLayout>
            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:orientation="horizontal">
                <TextView
                    android:layout_width="0dp"
                    android:layout_weight="10"
                    android:layout_height="wrap_content"
                    android:text="@string/notif_video_published"/>
                <androidx.appcompat.widget.SwitchCompat
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:id="@+id/notif_video_published_app"
                    android:layout_weight="1"
                    />
                <androidx.appcompat.widget.SwitchCompat
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:id="@+id/notif_video_published_mail"
                    android:layout_weight="1"
                    />
            </LinearLayout>
            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:orientation="horizontal">
                <TextView
                    android:layout_width="0dp"
                    android:layout_weight="10"
                    android:layout_height="wrap_content"
                    android:text="@string/notif_video_imported"/>
                <androidx.appcompat.widget.SwitchCompat
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:id="@+id/notif_video_imported_app"
                    android:layout_weight="1"
                    />
                <androidx.appcompat.widget.SwitchCompat
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:id="@+id/notif_video_imported_mail"
                    android:layout_weight="1"
                    />
            </LinearLayout>
            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:orientation="horizontal">
                <TextView
                    android:layout_width="0dp"
                    android:layout_weight="10"
                    android:layout_height="wrap_content"
                    android:text="@string/notif_new_followers"/>
                <androidx.appcompat.widget.SwitchCompat
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:id="@+id/notif_new_followers_app"
                    android:layout_weight="1"
                    />
                <androidx.appcompat.widget.SwitchCompat
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:id="@+id/notif_new_followers_mail"
                    android:layout_weight="1"
                    />
            </LinearLayout>
            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:orientation="horizontal">
                <TextView
                    android:layout_width="0dp"
                    android:layout_weight="10"
                    android:layout_height="wrap_content"
                    android:text="@string/notif_video_mention"/>
                <androidx.appcompat.widget.SwitchCompat
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:id="@+id/notif_video_mention_app"
                    android:layout_weight="1"
                    />
                <androidx.appcompat.widget.SwitchCompat
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:id="@+id/notif_video_mention_mail"
                    android:layout_weight="1"
                    />
            </LinearLayout>
            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:orientation="horizontal">
                <TextView
                    android:layout_width="0dp"
                    android:layout_weight="10"
                    android:layout_height="wrap_content"
                    android:text="@string/notif_abuse_received"/>
                <androidx.appcompat.widget.SwitchCompat
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:id="@+id/notif_abuse_received_app"
                    android:layout_weight="1"
                    />
                <androidx.appcompat.widget.SwitchCompat
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:id="@+id/notif_abuse_received_mail"
                    android:layout_weight="1"
                    />
            </LinearLayout>
            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:orientation="horizontal">
                <TextView
                    android:layout_width="0dp"
                    android:layout_weight="10"
                    android:layout_height="wrap_content"
                    android:text="@string/notif_abuse_accepted"/>
                <androidx.appcompat.widget.SwitchCompat
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:id="@+id/notif_abuse_accepted_app"
                    android:layout_weight="1"
                    />
                <androidx.appcompat.widget.SwitchCompat
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:id="@+id/notif_abuse_accepted_mail"
                    android:layout_weight="1"
                    />
            </LinearLayout>
        </LinearLayout>
    </androidx.constraintlayout.widget.ConstraintLayout>
</ScrollView>
